ARM Ubuntu не может получить определенные пакеты

Согласно wikipedia, Ubuntu по большей части является лицензированным GPL: Единственными исключениями являются некоторые проприетарные аппаратные драйверы. [24] Основной лицензией является GNU General Public License (GNU GPL), которая вместе с GNU Lesser General Public License (GNU LGPL) прямо заявляет, что пользователи могут свободно запускать, копировать, распространять, изучать, изменять, разрабатывать и совершенствовать программного обеспечения. С другой стороны, есть также проприетарное программное обеспечение, которое может работать на Ubuntu.

Источник: http://en.wikipedia.org/wiki/Ubuntu_(operating_system)#Features

Существуют определенные пакеты, которые не включены (например, ограниченные драйверы), которые предоставляют

На официальном http://en.wikipedia.org/wiki/Ubuntu_ (operating_system) #Features вы также можете найти более подробную информацию по этой теме.

Он также явно указывает, что существует 4 типа лицензий, предлагаемых в пакетах ubuntu:

Единственными исключениями являются некоторые проприетарные аппаратные драйверы. [24] Основной лицензией является GNU General Public License (GNU GPL), которая вместе с GNU Lesser General Public License (GNU LGPL) прямо заявляет, что пользователи могут свободно запускать, копировать, распространять, изучать, изменять, разрабатывать и совершенствовать программного обеспечения. С другой стороны, есть также запатентованное программное обеспечение, которое может работать на Ubuntu.

5
задан 7 February 2014 в 01:06

2 ответа

Какую версию Ubuntu вы используете? Порты с истекшим сроком службы переименованы. Я нашел обсуждение здесь , которое объясняет решение:

1) Резервное копирование /etc/apt/sources.list

2) Предполагая, что вы используете Raring (13.04), замените содержимое следующим:

deb http://old-releases.ubuntu.com/ubuntu/ raring главная вселенная с ограниченным множеством
deb- src http://old-releases.ubuntu.com/ubuntu/ мультсеверная ограниченная вселенная

deb http://old-releases.ubuntu.com/ubuntu/ ограниченный мультивселенный основной вселенный raring-security
deb-src http://old-releases.ubuntu.com/ubuntu/ ограниченный многоборье основного вселенного raring-security

deb http://old-releases.ubuntu.com/ubuntu/ raring-updates главная вселенная ограниченная мультивселенная
deb-src http: // old-release. ubuntu.com/ubuntu/ raring-updates основной универсальный ограниченный мультивселенный

deb http://old-releases.ubuntu.com/ubuntu/ основной ограниченный универ raring-backports verse multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ raring-backports главная ограниченная вселенная мультивселенной

deb http: //old-releases.ubuntu.com/ubuntu/ предложенный raring мультивселенная главной ограниченной вселенной
deb-src http://old-releases.ubuntu.com/ubuntu/ предложенный raring основной мультивселенный с ограниченной вселенной

3) Запустите apt-get update, и он должен снова заработать.

1127 Сработало для меня, надеюсь, это поможет.

0
ответ дан 7 February 2014 в 01:06

Исходя из вашего вывода, показанного выше, как правило, лучше всего перезапустить sudo apt-get update, а затем повторить попытку установки. Кэшированное представление о том, как должен выглядеть ports.ubuntu.com для загрузки пакетов, не соответствует тому, что на самом деле существует для пакетов.

0
ответ дан 7 February 2014 в 01:06

Другие вопросы по тегам:

Похожие вопросы: